classification
Title: Tutorial doesn''t discuss / and * function arguments
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: diekhans, docs@python, ezio.melotti, pablogsal, xtreak
Priority: normal Keywords:

Created on 2018-09-24 17:58 by diekhans, last changed 2019-11-19 00:31 by pablogsal. This issue is now closed.

Messages (4)
msg326277 - (view) Author: Mark Diekhans (diekhans) Date: 2018-09-24 17:58
https://docs.python.org/3/tutorial/controlflow.html doest not discuss / and * arguments (end of positional, keyword required)
msg326281 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-09-24 19:01
There is a related issue to document / in signatures though : https://bugs.python.org/issue21314
msg355305 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-10-24 09:00
With PEP 570 implementation docs were expanded : https://github.com/python/cpython/commit/b76302ddd0896cb39ce69909349b53db6e7776e2#diff-d764089fca21fdc70d55804714b1cba5
msg356936 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2019-11-19 00:31
I don't think we should backport the changes or modify the file for the 3.7 branch, so I close the issue. Feel free to reopen if you still think it makes sense :)
History
Date User Action Args
2019-11-19 00:31:06pablogsalsetstatus: open -> closed
resolution: fixed
messages: + msg356936

stage: resolved
2019-10-24 09:00:00xtreaksetnosy: + pablogsal
messages: + msg355305
2018-09-24 19:40:30ezio.melottisetnosy: + ezio.melotti
2018-09-24 19:01:51xtreaksetnosy: + xtreak
messages: + msg326281
2018-09-24 17:58:52diekhanscreate